stages:
  - deploy

deploy_to_aws:
  stage: deploy
  image: amazon/aws-cli:latest  # Use the official AWS CLI Docker image with version 1
  script:
    - aws configure set aws_access_key_id $AWS_ACCESS_KEY_ID
    - aws configure set aws_secret_access_key $AWS_SECRET_ACCESS_KEY
    - aws --version
    - aws sts get-caller-identity --query "Account" --output text --region us-east-1
